GTK4-BROADWAYD(1)

NAME
gtk4-broadwayd - Broadway display server

SYNOPSIS

gtk4-broadwayd [--port PORT] [--address ADDRESS] [--unixsocket ADDRESS] [:DISPLAY]

DESCRIPTION

 gtk4-broadwayd is a display server for the Broadway GDK backend. It allows multiple GTK applications to display their windows in the same web browser, by connecting to gtk4-broadwayd.

When using gtk4-broadwayd, specify the display number to use, prefixed with a colon, similar to X. The default display number is 0.
gtk4-broadwayd :5
 Then point your web browser at http://127.0.0.1:8085. Start your applications like this:
GDK_BACKEND=broadway BROADWAY_DISPLAY=:5 gtk4-demo

OPTIONS

--port
    Use PORT as the HTTP port, instead of the default 8080 + (DISPLAY - 1).

--address
    Use ADDRESS as the HTTP address, instead of the default http://127.0.0.1:PORT.

--unixsocket
    Use ADDRESS as the unix domain socket address. This option overrides --address and --port. It is available only on Unix-like systems.

AUTHOR
Alexander Larsson.